# Class BasicInternalFrameUI.ComponentHandler

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

All Implemented Interfaces:
  `ComponentListener, EventListener`

Enclosing class:
  `BasicInternalFrameUI`

protected class BasicInternalFrameUI.ComponentHandler extends Object implements ComponentListener
Component handler.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ComponentHandler()`
Constructs a `ComponentHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`componentHidden(ComponentEvent e)`
Invoked when the component has been made invisible.
`void`
`componentMoved(ComponentEvent e)`
Invoked when the component's position changes.
`void`
`componentResized(ComponentEvent e)`
Invoked when a JInternalFrame's parent's size changes.
`void`
`componentShown(ComponentEvent e)`
Invoked when the component has been made visible.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### ComponentHandler

protected ComponentHandler()
Constructs a `ComponentHandler`.

## Method Details

### componentResized

public void componentResized(ComponentEvent e)
Invoked when a JInternalFrame's parent's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`
Parameters:
  `e` - the event to be processed

### componentMoved

public void componentMoved(ComponentEvent e)
Invoked when the component's position changes.

Specified by:
  `componentMoved` in interface `ComponentListener`
Parameters:
  `e` - the event to be processed

### componentShown

public void componentShown(ComponentEvent e)
Invoked when the component has been made visible.

Specified by:
  `componentShown` in interface `ComponentListener`
Parameters:
  `e` - the event to be processed

### componentHidden

public void componentHidden(ComponentEvent e)
Invoked when the component has been made invisible.

Specified by:
  `componentHidden` in interface `ComponentListener`
Parameters:
  `e` - the event to be processed